### Class

# WebKit2 ContextMenuItem

#### Description [src]

    class WebKit2.ContextMenuItem : GObject.InitiallyUnowned {
      parent: GInitiallyUnowned,
      priv: WebKitContextMenuItemPrivate*
    }

One item of a `WebKitContextMenu`.

The `WebKitContextMenu` is composed of `WebKitContextMenuItem`s. These items can be created from a `GtkAction`, from a `WebKitContextMenuAction` or from a `WebKitContextMenuAction` and a label. These `WebKitContextMenuAction`s denote stock actions for the items. You can also create separators and submenus.

#### Ancestors

- GInitiallyUnowned
- GObject

#### Constructors

###### webkit_context_menu_item_new

Creates a new `WebKitContextMenuItem` for the given `action`.

Deprecated since: 2.18

###### webkit_context_menu_item_new_from_gaction

Creates a new `WebKitContextMenuItem` for the given `action` and `label`.

Available since: 2.18

###### webkit_context_menu_item_new_from_stock_action

Creates a new `WebKitContextMenuItem` for the given stock action.

###### webkit_context_menu_item_new_from_stock_action_with_label

Creates a new `WebKitContextMenuItem` for the given stock action using the given `label`.

###### webkit_context_menu_item_new_separator

Creates a new `WebKitContextMenuItem` representing a separator.

###### webkit_context_menu_item_new_with_submenu

Creates a new `WebKitContextMenuItem` using the given `label` with a submenu.

#### Instance methods

###### webkit_context_menu_item_get_action

Gets the action associated to `item` as a `GtkAction`.

Deprecated since: 2.18

###### webkit_context_menu_item_get_gaction

Gets the action associated to `item` as a `GAction`.

Available since: 2.18

###### webkit_context_menu_item_get_stock_action

Gets the `WebKitContextMenuAction` of `item`.

###### webkit_context_menu_item_get_submenu

Gets the submenu of `item`.

###### webkit_context_menu_item_is_separator

Checks whether `item` is a separator.

###### webkit_context_menu_item_set_submenu

Sets or replaces the `item` submenu.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject.Object::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct WebKit2ContextMenuItemClass {
      GInitiallyUnownedClass parent_class;
      void (* _webkit_reserved0) (
    void
      );
      void (* _webkit_reserved1) (
    void
      );
      void (* _webkit_reserved2) (
    void
      );
      void (* _webkit_reserved3) (
    void
      );

    }

###### Class members

`parent_class` |
    GInitiallyUnownedClass
| No description available.
`_webkit_reserved0` |
    void (* _webkit_reserved0) (
    void
      )
| No description available.
`_webkit_reserved1` |
    void (* _webkit_reserved1) (
    void
      )
| No description available.
`_webkit_reserved2` |
    void (* _webkit_reserved2) (
    void
      )
| No description available.
`_webkit_reserved3` |
    void (* _webkit_reserved3) (
    void
      )
| No description available.